.btn a {
    background-color: var(--c-primario) !important;
    color: var(--c-negro) !important;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    padding: 15px 30px;
    border-radius: 200px;
    display: inline-block;
    transition: all 0.35s;
    border: none;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: var(--c-negro);
        position: absolute;
        left: 0;
        right: 0;
        bottom: -30px;
        margin: auto;
        width: 0;
        height: 0;
        z-index: -1;
        border-radius: 200px;
        transition: all 0.35s ease;
    }

    &:hover {
        color: var(--c-blanco) !important;

        &::after {
            width: 120%;
            height: 200%;
            left: -30px;
        }
    }
}

.link-trat {
    transition: all 0.35s;

    p {
        font-weight: 500;
        font-size: clamp(15px, 1vw, 20px);
        text-transform: uppercase;
    }

    .ico-plus {
        svg {
            transition: all 0.35s;
        }
    }

    &:hover {
        background-color: var(--c-blanco);

        .ico-plus {
            svg {
                transform: rotate(90deg);
            }
        }
    }
}

.btn-white a {
    background-color: var(--c-blanco) !important;
    color: var(--c-negro) !important;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    padding: 15px 30px;
    border-radius: 200px;
    display: inline-block;
    transition: all 0.35s;
    border: none;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: var(--c-negro);
        position: absolute;
        left: 0;
        right: 0;
        bottom: -30px;
        margin: auto;
        width: 0;
        height: 0;
        z-index: -1;
        border-radius: 200px;
        transition: all 0.35s ease;
    }

    &:hover {
        color: var(--c-blanco) !important;

        &::after {
            width: 120%;
            height: 200%;
            left: -30px;
        }
    }
}